--- i18n.testsuite.conf.old	2009-01-23 15:02:56.000000000 +0800
+++ i18n.testsuite.conf	2009-01-23 15:23:09.000000000 +0800
@@ -2,135 +2,184 @@
 ; #include this into a suitable context
 ; English
 exten => 841,1,Answer
-exten => 841,2,Wait,1		; Allow VoIP sessions time to initialise
-exten => 841,3,SetLanguage(en)
-exten => 841,4,SayNumber(183)	; one hundred eighty three (NB UK English would say one hundred & eighty three)
-exten => 841,5,Wait,1
-exten => 841,6,SayUnixTime()	; Say current date & time in "ABdY 'digits/at' IMp" format
+exten => 841,n,Wait(1)		; Allow VoIP sessions time to initialise
+exten => 841,n,Set(CHANNEL(language)=en)
+exten => 841,n,SayNumber(183)	; one hundred eighty three (NB UK English would say one hundred & eighty three)
+exten => 841,n,Wait(1)
+exten => 841,n,SayUnixTime()	; Say current date & time in "ABdY 'digits/at' IMp" format
 ; French
 exten => 842,1,Answer
-exten => 842,2,Wait,1		; Allow VoIP sessions time to initialise
-exten => 842,3,SetLanguage(fr)
-exten => 842,4,SayNumber(1)	; one
-exten => 842,5,Wait,1
-exten => 842,6,SayNumber(1,f)	; one (feminine)
-exten => 842,7,Wait,1
-exten => 842,8,SayNumber(181)	; hundred eighty three
-exten => 842,9,Wait,1
-exten => 842,10,SayNumber(281)	; two hundred eighty three
-exten => 842,11,Wait,1
-exten => 842,12,SayNumber(1061)	; thousand sixty three
-exten => 842,13,Wait,1
-exten => 842,14,SayNumber(2061)	; two thousand sixty three
-exten => 842,15,Wait,1
-exten => 842,16,SayUnixTime()
+exten => 842,n,Wait(1)		; Allow VoIP sessions time to initialise
+exten => 842,n,Set(CHANNEL(language)=fr)
+exten => 842,n,SayNumber(1)	; one
+exten => 842,n,Wait(1)
+exten => 842,n,SayNumber(1,f)	; one (feminine)
+exten => 842,n,Wait(1)
+exten => 842,n,SayNumber(181)	; hundred eighty three
+exten => 842,n,Wait(1)
+exten => 842,n,SayNumber(281)	; two hundred eighty three
+exten => 842,n,Wait(1)
+exten => 842,n,SayNumber(1061)	; thousand sixty three
+exten => 842,n,Wait(1)
+exten => 842,n,SayNumber(2061)	; two thousand sixty three
+exten => 842,n,Wait(1)
+exten => 842,n,SayUnixTime()
 ; Spanish
 exten => 843,1,Answer
-exten => 843,2,Wait,1		; Allow VoIP sessions time to initialise
-exten => 843,3,SetLanguage(es)
-exten => 843,4,Playback(digits/hundred)
-exten => 843,5,Wait,1
-exten => 843,6,SayNumber(1)	; one
-exten => 843,7,Wait,1
-exten => 843,8,SayNumber(1,f)	; one (feminine)
-exten => 843,9,Wait,1
-exten => 843,10,SayNumber(11)	; "dieci uno"
-exten => 843,11,Wait,1
-exten => 843,12,SayNumber(21)	; "veinti uno"
-exten => 843,13,Wait,1
-exten => 843,14,SayNumber(31)	; "thirty & one"
-exten => 843,15,Wait,1
-exten => 843,16,SayNumber(100)	; "cien"
-exten => 843,17,Wait,1
-exten => 843,18,SayNumber(101)	; "ciento uno"
-exten => 843,19,Wait,1
-exten => 843,20,SayNumber(200)	; "twohundred"
-exten => 843,21,Wait,1
-exten => 843,22,SayNumber(1000000)	; one million
-exten => 843,23,Wait,1
-exten => 843,24,SayNumber(2000000)	; two millions
-exten => 843,25,Wait,1
-exten => 843,26,SayUnixTime()
+exten => 843,n,Wait(1)		; Allow VoIP sessions time to initialise
+exten => 843,n,Set(CHANNEL(language)=es)
+exten => 843,n,Playback(digits/hundred)
+exten => 843,n,Wait(1)
+exten => 843,n,SayNumber(1)	; one
+exten => 843,n,Wait(1)
+exten => 843,n,SayNumber(1,f)	; one (feminine)
+exten => 843,n,Wait(1)
+exten => 843,n,SayNumber(11)	; "dieci uno"
+exten => 843,n,Wait(1)
+exten => 843,n,SayNumber(21)	; "veinti uno"
+exten => 843,n,Wait(1)
+exten => 843,n,SayNumber(31)	; "thirty & one"
+exten => 843,n,Wait(1)
+exten => 843,n,SayNumber(100)	; "cien"
+exten => 843,n,Wait(1)
+exten => 843,n,SayNumber(101)	; "ciento uno"
+exten => 843,n,Wait(1)
+exten => 843,n,SayNumber(200)	; "twohundred"
+exten => 843,n,Wait(1)
+exten => 843,n,SayNumber(1000000)	; one million
+exten => 843,n,Wait(1)
+exten => 843,n,SayNumber(2000000)	; two millions
+exten => 843,n,Wait(1)
+exten => 843,n,SayUnixTime()
 ; Portuguese
 exten => 844,1,Answer
-exten => 844,2,Wait,1		; Allow VoIP sessions time to initialise
-exten => 844,3,SetLanguage(pt)
-exten => 844,4,SayNumber(1)	; one
-exten => 844,5,Wait,1
-exten => 844,6,SayNumber(1,f)	; one (feminine)
-exten => 844,7,Wait,1
-exten => 844,8,SayNumber(2)	; two
-exten => 844,9,Wait,1
-exten => 844,10,SayNumber(2,f)	; two (feminine)
-exten => 844,11,Wait,1
-exten => 844,12,SayNumber(183)	; hundred& eighty three
-exten => 844,13,Wait,1
-exten => 844,14,SayUnixTime()
+exten => 844,n,Wait(1)		; Allow VoIP sessions time to initialise
+exten => 844,n,Set(CHANNEL(language)=pt)
+exten => 844,n,SayNumber(1)	; one
+exten => 844,n,Wait(1)
+exten => 844,n,SayNumber(1,f)	; one (feminine)
+exten => 844,n,Wait(1)
+exten => 844,n,SayNumber(2)	; two
+exten => 844,n,Wait(1)
+exten => 844,n,SayNumber(2,f)	; two (feminine)
+exten => 844,n,Wait(1)
+exten => 844,n,SayNumber(183)	; hundred& eighty three
+exten => 844,n,Wait(1)
+exten => 844,n,SayUnixTime()
 ; Italian
 exten => 845,1,Answer
-exten => 845,2,Wait,1		; Allow VoIP sessions time to initialise
-exten => 845,3,SetLanguage(it)
-exten => 845,4,SayNumber(21)	; "twentyone"
-exten => 845,5,Wait,1
-exten => 845,6,SayNumber(183)	; hundred eighty three
-exten => 845,7,Wait,1
-exten => 845,8,SayNumber(283)	; two hundred eighty three
-exten => 845,9,SayNumber(1063)	; thousand sixty three
-exten => 845,10,Wait,1
-exten => 845,11,SayNumber(2063)	; two thousands sixty three
-exten => 845,12,Wait,1
-exten => 845,13,SayUnixTime()
+exten => 845,n,Wait(1)		; Allow VoIP sessions time to initialise
+exten => 845,n,Set(CHANNEL(language)=it)
+exten => 845,n,SayNumber(21)	; "twentyone"
+exten => 845,n,Wait(1)
+exten => 845,n,SayNumber(183)	; hundred eighty three
+exten => 845,n,Wait(1)
+exten => 845,n,SayNumber(283)	; two hundred eighty three
+exten => 845,n,SayNumber(1063)	; thousand sixty three
+exten => 845,n,Wait(1)
+exten => 845,n,SayNumber(2063)	; two thousands sixty three
+exten => 845,n,Wait(1)
+exten => 845,n,SayUnixTime()
 ; Dutch
 exten => 846,1,Answer
-exten => 846,2,Wait,1		; Allow VoIP sessions time to initialise
-exten => 846,3,SetLanguage(nl)
-exten => 846,4,SayUnixTime(||ABdY'digits/at'R)
-exten => 846,5,Wait,1
+exten => 846,n,Wait(1)		; Allow VoIP sessions time to initialise
+exten => 846,n,Set(CHANNEL(language)=nl)
+exten => 846,n,SayUnixTime(||ABdY'digits/at'R)
+exten => 846,n,Wait(1)
 ; Danish
 exten => 847,1,Answer
-exten => 847,2,Wait,1		; Allow VoIP sessions time to initialise
-exten => 847,3,SetLanguage(da)
-exten => 847,4,SayNumber(68)	; eight-& sixty
-exten => 847,5,Wait,1
-exten => 847,6,SayNumber(2034)	; two thousand & four-& thirty
-exten => 847,7,Wait,1
-exten => 847,8,SayNumber(1000000)	; one million
-exten => 847,9,Wait,1
-exten => 847,10,SayNumber(2000000)	; two millions
-exten => 847,11,Wait,1
-exten => 847,12,SayUnixTime()
+exten => 847,n,Wait(1)		; Allow VoIP sessions time to initialise
+exten => 847,n,Set(CHANNEL(language)=da)
+exten => 847,n,SayNumber(68)	; eight-& sixty
+exten => 847,n,Wait(1)
+exten => 847,n,SayNumber(2034)	; two thousand & four-& thirty
+exten => 847,n,Wait(1)
+exten => 847,n,SayNumber(1000000)	; one million
+exten => 847,n,Wait(1)
+exten => 847,n,SayNumber(2000000)	; two millions
+exten => 847,n,Wait(1)
+exten => 847,n,SayUnixTime()
 ; German
 exten => 848,1,Answer
-exten => 848,2,Wait,1		; Allow VoIP sessions time to initialise
-exten => 848,3,SetLanguage(de)
-exten => 848,4,SayNumber(68)	; eight-& sixty
-exten => 848,5,Wait,1
-exten => 848,6,SayNumber(100)	; "hundert"
-exten => 848,7,Wait,1
-exten => 848,8,SayNumber(101)	; "einhundert-einS"
-exten => 848,9,Wait,1
-exten => 848,10,SayNumber(1000)	; "tausend"
-exten => 848,11,Wait,1
-exten => 848,12,SayNumber(1001)	; "eintausend-einS" X tausend-einS
-exten => 848,13,Wait,1
-exten => 848,14,SayNumber(2134)	; two thousand one hundred four-& thirty
-exten => 848,15,Wait,1
-exten => 848,16,SayNumber(1001000)	; one million one thousand X million tausend
-exten => 848,17,Wait,1
-exten => 848,18,SayNumber(2002000)	; two millions two thousand
-exten => 848,19,Wait,1
-exten => 848,20,SayUnixTime()
+exten => 848,n,Wait(1)		; Allow VoIP sessions time to initialise
+exten => 848,n,Set(CHANNEL(language)=de)
+exten => 848,n,SayNumber(68)	; eight-& sixty
+exten => 848,n,Wait(1)
+exten => 848,n,SayNumber(100)	; "hundert"
+exten => 848,n,Wait(1)
+exten => 848,n,SayNumber(101)	; "einhundert-einS"
+exten => 848,n,Wait(1)
+exten => 848,n,SayNumber(1000)	; "tausend"
+exten => 848,n,Wait(1)
+exten => 848,n,SayNumber(1001)	; "eintausend-einS" X tausend-einS
+exten => 848,n,Wait(1)
+exten => 848,n,SayNumber(2134)	; two thousand one hundred four-& thirty
+exten => 848,n,Wait(1)
+exten => 848,n,SayNumber(1001000)	; one million one thousand X million tausend
+exten => 848,n,Wait(1)
+exten => 848,n,SayNumber(2002000)	; two millions two thousand
+exten => 848,n,Wait(1)
+exten => 848,n,SayUnixTime()
 ; Swedish
 exten => 849,1,Answer
-exten => 849,2,Wait,1		; Allow VoIP sessions time to initialise
-exten => 849,3,SetLanguage(se)
-exten => 849,4,SayUnixTime()
-exten => 849,5,Wait,1
+exten => 849,n,Wait(1)		; Allow VoIP sessions time to initialise
+exten => 849,n,Set(CHANNEL(language)=se)
+exten => 849,n,SayUnixTime()
+exten => 849,n,Wait(1)
 ; Temp
 exten => 850,1,Answer
-exten => 850,2,Wait,1		; Allow VoIP sessions time to initialise
-exten => 850,3,SetLanguage(de)
-exten => 850,4,Playback(digits/1)
-exten => 850,5,Wait,1
-exten => 850,6,Playback(digits/de-eins)
-exten => 850,7,Wait,1
+exten => 850,n,Wait(1)		; Allow VoIP sessions time to initialise
+exten => 850,n,Set(CHANNEL(language)=de)
+exten => 850,n,Playback(digits/1)
+exten => 850,n,Wait(1)
+exten => 850,n,Playback(digits/de-eins)
+exten => 850,n,Wait(1)
+; Chinese
+exten => 851,1,Answer
+exten => 851,n,Wait(1)		; Allow VoIP sessions time to initialise
+exten => 851,n,Set(CHANNEL(language)=zh)
+exten => 851,n,SayNumber(10)	; "shi"
+exten => 851,n,Wait(1)
+exten => 851,n,SayNumber(11)	; "shi yi"
+exten => 851,n,Wait(1)
+exten => 851,n,SayNumber(20)	; "er shi"
+exten => 851,n,Wait(1)
+exten => 851,n,SayNumber(21)	; "er shi yi"
+exten => 851,n,Wait(1)
+exten => 851,n,SayNumber(100)	; "yi bai"
+exten => 851,n,Wait(1)
+exten => 851,n,SayNumber(101)	; "yi bai ling yi"
+exten => 851,n,Wait(1)
+exten => 851,n,SayNumber(110)	; "yi bai yi shi"
+exten => 851,n,Wait(1)
+exten => 851,n,SayNumber(111)	; "yi bai yi shi yi"
+exten => 851,n,Wait(1)
+exten => 851,n,SayNumber(120)	; "yi bai er shi"
+exten => 851,n,Wait(1)
+exten => 851,n,SayNumber(200)	; "liang bai"
+exten => 851,n,Wait(1)
+exten => 851,n,SayNumber(222)	; "liang bai er shi er"
+exten => 851,n,Wait(1)
+exten => 851,n,SayNumber(1000)	; "yi qian"
+exten => 851,n,Wait(1)
+exten => 851,n,SayNumber(1001)	; "yi qian ling yi"
+exten => 851,n,Wait(1)
+exten => 851,n,SayNumber(1101)	; "yi qian yi bai ling yi"
+exten => 851,n,Wait(1)
+exten => 851,n,SayNumber(1200)	; "yi qian liang bai"
+exten => 851,n,Wait(1)
+exten => 851,n,SayNumber(10000)	; "yi wan"
+exten => 851,n,Wait(1)
+exten => 851,n,SayNumber(10001)	; "yi wan ling yi"
+exten => 851,n,Wait(1)
+exten => 851,n,SayNumber(10101)	; "yi wan ling yi bai ling yi"
+exten => 851,n,Wait(1)
+exten => 851,n,SayNumber(22222)	; "liang wan liang qian liang bai er shi er"
+exten => 851,n,Wait(1)
+exten => 851,n,SayNumber(1000000)	; "yi bai wan"
+exten => 851,n,Wait(1)
+exten => 851,n,SayNumber(10000000)	; "yi qian wan"
+exten => 851,n,Wait(1)
+exten => 851,n,SayNumber(100000000)	; "yi yi"
+exten => 851,n,Wait(1)
+exten => 851,n,SayUnixTime()
